define("translationmanagerApi", [],
    function() {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof translationmanagerApi == 'undefined') {
            var translationmanagerApi = {};
        };

        translationmanagerApi.IStringTable = function() {}
        translationmanagerApi.IStringTable.prototype = {

            getString: function(id, fillIn) {
                return {
                    arguments: ["string", {
                        type: "*",
                        opt: true
                    }],
                    returns: "string"
                };
            }
        };

        translationmanagerApi.IStyleTable = function() {}
        translationmanagerApi.IStyleTable.prototype = {

            getAttributes: function(id) {
                return {
                    arguments: ["string"],
                    returns: "*"
                };
            }
        };

        translationmanagerApi.ITranslationManager = function() {}
        translationmanagerApi.ITranslationManager.prototype = {

            stringLookup: function(id, fillIn) {
                return {
                    arguments: ["string", {
                        type: "*",
                        opt: true
                    }],
                    returns: "string"
                };
            },
            styleLookup: function(id) {
                return {
                    arguments: ["string"],
                    returns: "*"
                };
            },
            getStringTables: function() {
                return {
                    arguments: [],
                    returns: Map
                };
            },
            getStyleTables: function() {
                return {
                    arguments: [],
                    returns: Map
                };
            },
            getLocale: function() {
                return {
                    arguments: [],
                    returns: "string"
                };
            }
        };
        return {
            exports: translationmanagerApi
        };
    });
//# sourceURL=translationManagerApi.js